/****** STORE SKRÆME ******/

@media only screen and (min-width: 1920px) {
}

@media (max-width: 1800px) {
  .slick-prev.slick-arrow {
    left: -150px;
  }

  .slick-next.slick-arrow {
    right: -150px;
  }
}

@media (max-width: 1600px) {
  .slick-prev.slick-arrow {
    left: -50px;
  }

  .slick-next.slick-arrow {
    right: -50px;
  }
}
/****** BÆRBAR / MINDRE SKÆRME ******/

@media only screen and (max-width: 1240px) {
  :root body {
    /* Font sizes */
    --h1: 43px;
    --h2: 28px;
    --h3: 22px;
    --h4: 19px;
    --h5: 15px;
    --h6: 13px;
    --p: 15px;
    /* Gaps */
    --gap-l: 60px;
    --gap-m: 25px;
    --gap-s: 20px;
    /* Sidebar */
    --sidebar-width: 280px;

    --lineheight-l: 50px;
    --lineheight-m: 25px;
    --lineheight-s: 20px;
    --lineheight-xs: 15px;
  }

  /* Header og logo responsive styling */
  body div #masthead {
    position: relative;
  }

  body div #masthead > div {
    height: auto;
  }

  body div #masthead #logo {
    position: relative;
    top: 0;
    width: 120px;
    height: auto;
    padding: 10px 0;
    margin: 0;
  }

  body div #masthead #logo a img {
    width: 120px;
    height: auto;
    object-fit: contain;
    max-height: 80px !important;
  }

  /* Stom billede sektion responsive styles */
  .section-wrap.stom-billede-sektion.has-background.not-fullwidth {
    padding: 80px 0;
  }

  .section-wrap.stom-billede-sektion .stom-picture {
    max-width: 450px;
    max-height: 500px;
    height: 500px;
    margin: 0 15px;
  }

  .section-wrap.stom-billede-sektion .section {
    padding: 0 15px;
  }

  .section-wrap.stom-billede-sektion .stom-picture img {
    width: 450px;
    height: 500px;
  }

  .section-wrap.stom-billede-sektion .section .stom-cols-6 {
    min-height: 500px;
  }

  .section-wrap.stom-billede-sektion .stom-cols-6 p:nth-child(1) {
    line-height: 38px;
  }
  .slick-prev.slick-arrow {
    left: -30px;
  }

  .slick-next.slick-arrow {
    right: -30px;
  }
}

@media only screen and (max-width: 1110px) {
  /*#site-navigation .menu-container {
    display: none;
  }
  #page header .main-navigation {
    gap: 20px;
  }
  #site-navigation.main-navigation {
    width: auto;
    top: 0;
    margin-top: 0;
    float: none;
    z-index: 200;
  }
  
  header .menu-toggle {
    display: block;
  }

  #site-navigation .menu-toggle {
    padding: 10px 0;
    color: var(--color-dark);
    font-size: 28px;
    line-height: 0;
    border: none;
    background: none;
    box-shadow: none;
    outline-style: none;
    order: 2;    
  }*/
}

/****** IPADS - VERTIKALT ******/
@media only screen and (max-width: 960px) {
  #site-navigation.main-navigation .current-menu-item {
    background-color: var(--color-1);
    color: var(--color-white);
  }
  #site-navigation.main-navigation .current-menu-ancestor {
    background-color: var(--color-2);
    color: var(--color-white);
  }

  #site-navigation.main-navigation
    .menu-item:not(.current-menu-item, .current-menu-ancestor) {
    color: var(--color-dark);
  }
}
@media only screen and (max-width: 959px) {
  :root body {
    /* Grid columns */
    --grid-2-cols: 1;
    --grid-3-cols: 2;
    --grid-4-cols: 2;
    --grid-5-cols: 3;
    --grid-6-cols: 3;
    --grid-7-cols: 4;
    --grid-8-cols: 4;
    --grid-9-cols: 5;
    --grid-10-cols: 5;
    --grid-11-cols: 6;
    --grid-12-cols: 6;

    --lineheight-l: 40px;
    --lineheight-m: 25px;
    --lineheight-s: 20px;
    --lineheight-xs: 15px;
  }
  header .top-bar .top-bar-right {
    display: none;
  }
  .last-on-mobile {
    order: 66;
  }

  #masthead .top-bar-left,
  #masthead .top-bar-right {
    align-items: center;
    justify-content: center;
  }
  /* Stom billede sektion responsive styling */
  .section-wrap.stom-billede-sektion.has-background.not-fullwidth {
    padding: 60px 0;
  }

  .section-wrap.stom-billede-sektion .stom-picture {
    max-width: 380px;
    max-height: 420px;
    height: 420px;
    margin: 0 10px;
  }

  .section-wrap.stom-billede-sektion .section {
    padding: 0 10px;
  }

  .section-wrap.stom-billede-sektion .stom-picture img {
    width: 380px;
    height: 420px;
  }

  .section-wrap.stom-billede-sektion .section .stom-cols-6 {
    min-height: 420px;
  }

  .section-wrap.stom-billede-sektion .stom-cols-6 p:nth-child(1) {
    line-height: 34px;
  }

  .section-wrap.stom-billede-sektion .stom-cols-6 ul {
    margin-bottom: 15px;
  }

  .section-wrap.stom-billede-sektion .stom-cols-6 p {
    margin-bottom: 12px;
  }

  .section-wrap.split-text .section {
    flex-direction: column;
    gap: 20px;
    align-items: center;
  }
  .section-wrap.kort-om .section {
    flex-direction: column;
    align-items: center;
  }

  .stom-grid-section.kontakt {
    background-color: var(--color-1);
    background-image: none !important;
  }

  .section-wrap.split-text .section {
    flex-direction: column;
  }
  .section-wrap.split-text .section .split-text-header-with-icon,
  .section-wrap.split-text .section .split-text-header {
    max-width: 100%;
    line-height: 42px;
    align-self: flex-start;
  }

  .section-wrap.split-text .section .split-text-text {
    max-width: 100%;
  }

  .stom-grid-section.before-after-grid .section .grid-elements .grid-element {
    padding: 20px;
  }

  .stom-grid-section.before-after-grid
    .section
    .grid-elements
    .grid-element
    div
    div
    img {
    height: 250px;
    width: 250px;
  }

  #colophon > section > div > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  #black-studio-tinymce-175 > div,
  #black-studio-tinymce-170 > div,
  #black-studio-tinymce-172 > div,
  #black-studio-tinymce-173 > div,
  #text-2 > div > p {
    line-height: 23px;
    font-size: 18px;

  }

  #colophon #black-studio-tinymce-170 .widget-title {
  font-size: 25px;
}

  #black-studio-tinymce-170 > span,
  #black-studio-tinymce-172 > span,
  #black-studio-tinymce-173 > span {
    margin-bottom: 12px;
  }

  #black-studio-tinymce-173 > div > a:nth-child(4) > span > svg,
  #black-studio-tinymce-173 > div > a:nth-child(5) > span > svg {
    width: 20px;
    height: 20px;
  }
}

@media only screen and (max-width: 810px) {
}

/****** MINDRE END IPADS VERTIKALT ******/

@media only screen and (max-width: 782px) {
}

@media only screen and (max-width: 767px) {
  :root body {
    /* Font sizes */
    --h1: 30px;
    --h2: 25px;
    --h3: 20px;
    --h4: 18px;
    --h5: 14px;
    --h6: 12px;
    --p: 14px;
    /* Gaps */
    --gap-l: 50px;
    --gap-m: 25px;
    --gap-s: 20px;
    /* Outer margin */
    --content-margin: 0;
  }

  /* Reset the stom-billede-sektion to stack vertically */
  .section-wrap.stom-billede-sektion .stom-cols-6,
  .section-wrap.stom-billede-sektion .stom-picture {
    width: 100%;
    margin: 0; /* Reset margin for mobile view */
  }

  .section-wrap.stom-billede-sektion .stom-picture {
    height: auto;
    max-height: none;
  }

  .section-wrap.stom-billede-sektion .stom-picture img {
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  /* Smaller logo for mobile devices */
  body div #masthead #logo {
    width: 100px;
    padding: 8px 0;
  }

  body div #masthead #logo a img {
    width: 100px;
    max-height: 65px !important;
  }

  header .top-bar .top-bar-left > p,
  header .top-bar .top-bar-right > p {
    gap: 5px;
  }

  header .top-bar .top-bar-right > p > a {
    text-align: left;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth {
    padding: 80px 0;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth .section {
    padding: 0 20px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth .section .stom-picture {
    max-width: 100%;
    max-height: auto;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth
    .section
    .stom-cols-6
    .stom-center-box
    p:nth-child(1) {
    line-height: 42px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth
    .section
    .stom-cols-6
    .stom-center-box
    p:nth-child(3) {
    margin-bottom: 24px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth .stom-cols-6 {
    width: 100%;
  }
  .section-wrap.stom-billede-sektion.not-fullwidth .stom-picture {
    width: 100%;
  }
  .section-wrap.stom-billede-sektion.not-fullwidth .stom-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  #colophon > section > div > div {
    gap: 50px;
    flex-direction: column;
    align-items: center;
  }

  #colophon > section > div > div > div:nth-child(2) > div,
  #colophon > section > div > div > div:nth-child(3) > div,
  #colophon > section > div > div > div:nth-child(4) > div {
    padding-top: 20px;
  }

  .footer-widget-area .grid-element:first-child {
    width: 100%;
  }

  .stom-grid-section.before-after-grid .section .grid-elements .grid-element {
    padding: 15px;
  }
  .stom-grid-section.before-after-grid
    .section
    .grid-elements
    .grid-element
    div {
    flex-direction: column;
  }

  .stom-grid-section.before-after-grid
    .section
    .grid-elements
    .grid-element
    div
    div
    img {
    height: 350px;
    width: 350px;
  }
  .slick-prev.slick-arrow {
    left: 10px;
  }

  .slick-next.slick-arrow {
    right: 10px;
  }

  .section-wrap.stom-grid-section.andre-ydelser
    .section
    .grid-elements
    .grid-element
    div
    p
    img {
    height: 300px;
  }
}

@media only screen and (max-width: 639px) {
  :root body {
    /* Grid columns */
    --grid-2-cols: 1;
    --grid-3-cols: 1;
    --grid-4-cols: 1;
    --grid-5-cols: 1;
    --grid-6-cols: 1;
    --grid-7-cols: 1;
    --grid-8-cols: 1;
    --grid-9-cols: 1;
    --grid-10-cols: 1;
    --grid-11-cols: 1;
    --grid-12-cols: 1;
  }
}

/****** MOBILER ******/

@media only screen and (max-width: 479px) {
  #page > section > div > div.slider-text > div > div > div.buttons {
    flex-direction: column;
    gap: 10px;
    margin-top: 10px;
  }

  #masthead
    > section
    > div
    > div.top-bar-left
    > span.stom-custom-svg.fa-svg.stom-fa-facebook,
  #masthead
    > section
    > div
    > div.top-bar-left
    > span.stom-custom-svg.fa-svg.stom-fa-clock,
  #masthead
    > section
    > div
    > div.top-bar-left
    > span.stom-custom-svg.fa-svg.stom-fa-facebook
    > svg,
  #masthead
    > section
    > div
    > div.top-bar-left
    > span.stom-custom-svg.fa-svg.stom-fa-clock
    > svg {
    width: 16px;
    height: 16px;
  }
  #masthead .top-bar .top-bar-left p {
    font-size: 10px;
  }

  .section-wrap.split-text .section .split-text-header-with-icon,
  .section-wrap.split-text .section .split-text-header {
    line-height: 34px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth {
    padding: 50px 0;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth .section {
    padding: 0 10px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth .section .stom-picture {
    max-width: 100%;
    max-height: auto;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth
    .section
    .stom-cols-6
    .stom-center-box
    p:nth-child(1) {
    line-height: 34px;
  }

  .section-wrap.stom-billede-sektion.not-fullwidth
    .section
    .stom-cols-6
    .stom-center-box
    p:nth-child(3) {
    margin-bottom: 16px;
  }

  /* Even smaller logo for very small screens */
  body div #masthead #logo {
    width: 85px;
    padding: 6px 0;
  }

  body div #masthead #logo a img {
    width: 85px;
    max-height: 55px !important;
  }



  .stom-grid-section.before-after-grid .section .grid-elements .grid-element {
    padding: 10px;
  }
  .stom-grid-section.before-after-grid
    .section
    .grid-elements
    .grid-element
    div {
    gap: 10px;
  }
  .stom-grid-section.before-after-grid
    .section
    .grid-elements
    .grid-element
    div
    div
    img {
    height: 250px;
    width: 250px;
  }

  .section-wrap.stom-grid-section.andre-ydelser
    .section
    .grid-elements
    .grid-element
    div
    p
    img {
    height: 250px;
  }


  #black-studio-tinymce-175 > div,
  #black-studio-tinymce-170 > div,
  #black-studio-tinymce-172 > div,
  #black-studio-tinymce-173 > div,
  #text-2 > div > p {
    line-height: 20px;
    font-size: 17px;

  }

  #colophon #black-studio-tinymce-170 .widget-title {
  font-size: 21px;
}

  #black-studio-tinymce-170 > span,
  #black-studio-tinymce-172 > span,
  #black-studio-tinymce-173 > span {
    margin-bottom: 12px;
  }
}

@media only screen and (max-width: 400px) {
  #page > section > div > div.slider-text > div > div > div.buttons {
    margin-top: 6px;
  }
}

@media only screen and (max-width: 349px) {
  #masthead .top-bar-left,
  #masthead .top-bar-right {
    flex-direction: column;
  }
}

@media only screen and (max-width: 850px) {
  /* Additional breakpoint for finer control */
  .section-wrap.stom-billede-sektion .stom-picture {
    max-width: 350px;
    max-height: 390px;
    height: 390px;
  }

  .section-wrap.stom-billede-sektion .stom-picture img {
    width: 350px;
    height: 390px;
  }

  .section-wrap.stom-billede-sektion .section .stom-cols-6 {
    min-height: 390px;
  }

  /* Further reduce text sizes */
  .section-wrap.stom-billede-sektion .stom-cols-6 p:nth-child(1) {
    line-height: 32px;
  }
}
